if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER "19")
	if (CMAKE_SIZEOF_VOID_P EQUAL 8) # 64 bits
		if (NOT DEFINED ENV{APPVEYOR})
			if( (NOT DEFINED ENV{VCPKG}) AND (NOT DEFINED VCPKG) )
				message("--> MSVC-14.x-64 KIT used (MSVC ${CMAKE_CXX_COMPILER_VERSION})")
				include("${CMAKE_CURRENT_LIST_DIR}/kit_msvc-14.x-64.cmake")
			else()
				message("--> MSVC-14.x-64 --> Vcpkg <-- KIT used (MSVC ${CMAKE_CXX_COMPILER_VERSION})")
				include("${CMAKE_CURRENT_LIST_DIR}/kit_msvc-14.x-64-Vcpkg.cmake")
			endif()
		else()
			message("--> MSVC-14.x-64 KIT used (MSVC ${CMAKE_CXX_COMPILER_VERSION}) --> with AppVeyor packages")
			include("${CMAKE_CURRENT_LIST_DIR}/kit_msvc-14.x-64-AppVeyor.cmake")
		endif()
	elseif (CMAKE_SIZEOF_VOID_P EQUAL 4) # 32 bits
		message(FATAL_ERROR "You must choose Win64/x64 architecture : 'Visual Studio 14 2015 Win64/x64', 'Visual Studio 15 2017 Win64/x64' or 'Visual Studio 16 2019 Win64/x64' !")
	endif()
else()
	message(FATAL_ERROR "You must choose 'Visual Studio 14 2015 Win64/x64', 'Visual Studio 15 2017 Win64/x64' or 'Visual Studio 16 2019 Win64/x64' !")
endif()
